Create simple fulfillment orders for order
POST
/merchants/{merchantCode}/orders/{orderNumber}/simpleFulfillmentOrders
const url = 'https://order.shopgate.io/v1/merchants/example/orders/example/simpleFulfillmentOrders';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"simpleFulfillmentOrders":[{"fulfillmentMethod":"example","fulfillmentLocationCode":"locationCode","lineItems":[{"salesOrderLineItemCode":"salesOrderLineItemCode","quantity":1}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://order.shopgate.io/v1/merchants/example/orders/example/simpleFulfillmentOrders \ --header 'Content-Type: application/json' \ --data '{ "simpleFulfillmentOrders": [ { "fulfillmentMethod": "example", "fulfillmentLocationCode": "locationCode", "lineItems": [ { "salesOrderLineItemCode": "salesOrderLineItemCode", "quantity": 1 } ] } ] }'Create simple fulfillment orders for order
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Unique merchant code which represents the unique “merchant account”.
orderNumber
required
string
Unique order number
Request Body
Section titled “Request Body”Media typeapplication/json
object
simpleFulfillmentOrders
required
Array<object>
object
fulfillmentMethod
required
string
fulfillmentLocationCode
required
string
Example
locationCodelineItems
required
Array<object>
object
salesOrderLineItemCode
required
string
Example
salesOrderLineItemCodequantity
required
number
Responses
Section titled “Responses”Media typeapplication/json
object
ids
Array<string>
errors
Array<object>
object
entityIndex
number
entity
string
entityId
string
code
number
message
string
subentityPath
Array<string | null | number>
Examplegenerated
{ "errors": [ { "entityIndex": 1, "entity": "example", "entityId": "example", "code": 1, "message": "example", "subentityPath": [ "example" ] } ]}Order not found
Media typeapplication/json
Requested quantities exceed sales order
Media typeapplication/json
default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Example
{ "code": "internal.database", "message": "Internal Database Error"}
